set livedb=hire
set testdb=test
set pg_dir=E:\"Program Files"\PostgreSQL\9.4\bin
set updtestdb=C:\dcs-java\BackupScript\testdb.sql


for /F "tokens=1,2" %%d in ('date /T') do set day=%%d & set date=%%e
set yyyy=%DATE:~6,4%
set mm=%DATE:~3,2%
set dd=%DATE:~0,2%
set startDate=%yyyy%-%mm%-%dd%
set startTime=%Time:~0,2%.%Time:~3,2%


set filename=%livedb%-%startDate%-%startTime%.backup


rem --> Backup the database
%pg_dir%\pg_dump -i -h 127.0.0.1 -U postgres -F c -b -v -f "C:\dcs-java\backups\%filename%" %livedb%
rem drop the test if it exists already
%pg_dir%\dropdb -h 127.0.0.1 -U postgres %testdb%
rem --> create the test
%pg_dir%\createdb -h 127.0.0.1 -U postgres -E UTF8 %testdb%
rem --> restore the database
%pg_dir%\pg_restore -h 127.0.0.1 -i -U postgres -d %testdb% -v "C:\dcs-java\backups\%filename%"
rem --> set testdb flag = 1
%pg_dir%\psql -h 127.0.0.1 -U postgres -d %testdb% < %updtestdb%